<?php
/*------------------------------------------------------------------------
# "Hot Events" Joomla template - August, 2011
# Copyright (C) 2011 HotThemes. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotJoomlaTemplates.com
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/
defined( '_JEXEC' ) or die( 'Restricted access' );
define( 'YOURBASEPATH', dirname(__FILE__) );
$template_path = $this->baseurl.'/templates/'.$this->template;
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" >
<head>
<jdoc:include type="head" />

<?php	// module states
		
		$showadvert[1] = $this->countModules('advert1');
		$showadvert[2] = $this->countModules('advert2');
		$showadvert[3] = $this->countModules('advert3');
		$showadvert[4] = $this->countModules('advert4');
		$showbreadcrumbs = $this->countModules('breadcrumbs');
		$showfooter[1] = $this->countModules('footer1');
		$showfooter[2] = $this->countModules('footer2');
		$showfooter[3] = $this->countModules('footer3');
		$showfooter[4] = $this->countModules('footer4');
		$showinset = $this->countModules('inset');
		$showleft = $this->countModules('left');
		$showpanel[1] = $this->countModules('panel1');
		$showpanel[2] = $this->countModules('panel2');
		$showpanel[3] = $this->countModules('panel3');
		$showpanel[4] = $this->countModules('panel4');
		$showright = $this->countModules('right');
		$showuser1 = $this->countModules('user1');
		$showuser3 = $this->countModules('user3');
		$showuser[5] = $this->countModules('user5');
		$showuser[6] = $this->countModules('user6');
		$showuser[7] = $this->countModules('user7');
		$showuser[8] = $this->countModules('user8');
		$showuser[9] = $this->countModules('user9');
		$showuser[10] = $this->countModules('user10');
		$showuser[11] = $this->countModules('user11');
		$showuser[12] = $this->countModules('user12');
		$showuser[13] = $this->countModules('user13');
		$showuser[14] = $this->countModules('user14');
		$showuser[15] = $this->countModules('user15');
		$showuser[16] = $this->countModules('user16');
		$showtoolbar = $this->countModules('toolbar');
		
		$panelmodules = 0;
		for ($loop = 1; $loop <= 4; $loop += 1) {
			if($showpanel[$loop]) { $panelmodules++; }
		}
		
		$uppermodules = 0;
		for ($loop = 1; $loop <= 4; $loop += 1) {
			if($showadvert[$loop]) { $uppermodules++; }
		}
		
		$bottommodules = 0;
		for ($loop = 5; $loop <= 8; $loop += 1) {
			if($showuser[$loop]) { $bottommodules++; }
		}
		
		$footer1modules = 0;
		for ($loop = 9; $loop <= 12; $loop += 1) {
			if($showuser[$loop]) { $footer1modules++; }
		}
		
		$footer2modules = 0;
		for ($loop = 13; $loop <= 16; $loop += 1) {
			if($showuser[$loop]) { $footer2modules++; }
		}
		
		$footer3modules = 0;
		for ($loop = 1; $loop <= 4; $loop += 1) {
			if($showfooter[$loop]) { $footer3modules++; }
		}
?>

<?php	// template parameters

		// template layout
		$templateWidth = $this->params->get("templateWidth", "960");
		$textDirection = $this->params->get("textDirection", "ltr");
		$copyright = $this->params->get("copyright", "Your Company");
		$columnLayout = $this->params->get("columnLayout", "lmr");
		$columnLeftWidth = 0; $columnRightWidth = 0; $columnLeftPad = 0; $columnRightPad = 0;
		if ($showleft) {
			$columnLeftWidth = $this->params->get("columnLeftWidth", "210"); 
			$columnLeftPad = 0;
		}else{
			$columnLeftWidth = 0;
			$columnLeftPad = 0;
		}
		if ($showright) {
			$columnRightWidth = $this->params->get("columnRightWidth", "210");
			$columnRightPad = 0;
		}else{
			$columnRightWidth = 0;
			$columnRightPad = 0;
		}
		$contentWidth = $templateWidth - $columnLeftWidth - $columnLeftPad - $columnRightWidth - $columnRightPad;
		
		// advert1-4 modules width
		$advert_width = 0;
		if($uppermodules) {
			$advert_width = ($templateWidth - (($uppermodules) * 40)) / $uppermodules - 60 / $uppermodules; 	// 12px (margin-right); 2*4px (padding left/right)
			$advert_width = floor($advert_width);
		}
		
		// user5-8 modules width
		$bottom_width = 0;
		if($bottommodules) {
			$bottom_width = ($templateWidth - (($bottommodules) * 40)) / $bottommodules - 60 / $bottommodules;
			$bottom_width = floor($bottom_width);
		}
		
		// user9-12 modules width
		$footer1_width = 0;
		if($footer1modules) {
			$footer1_width = ($templateWidth - (($footer1modules) * 40)) / $footer1modules - 60 / $footer1modules;
			$footer1_width = floor($footer1_width);
		}
		
		// user13-16 modules width
		$footer2_width = 0;
		if($footer2modules) {
			$footer2_width = ($templateWidth - (($footer2modules) * 40)) / $footer2modules - 60 / $footer2modules;
			$footer2_width = floor($footer2_width);
		}
		
		// footer1-4 modules width
		$footer3_width = 0;
		if($footer3modules) {
			$footer3_width = ($templateWidth - (($footer3modules) * 40)) / $footer3modules - 60 / $footer3modules;
			$footer3_width = floor($footer3_width);
		}
		
		// panel1-4 modules width
		$panel_width = 0;
		if($panelmodules) {
			$panel_width = ($templateWidth - (($panelmodules) * 40)) / $panelmodules - 60 / $panelmodules;
			$panel_width = floor($panel_width);
		}
		
		// add-ons
		$imageReflectionLoad = $this->params->get("imageReflectionLoad", "1");
		$scrollToLoad = $this->params->get("scrollToLoad", "1");
		
		// template style
		
			// check if in parameters
			$templateStyle = $this->params->get("templateStyle", "1");
			
			// check if it cookie
			if(isset($_COOKIE['Style']))
			{
			$templateStyle = $_COOKIE['Style'];
			}
			
			$templateStyleTest = "";
		
			// check if in link
			if (isset($_GET['style'])) {
				$templateStyleTest = $_GET['style']; 
			}
			
			if ($templateStyleTest) { 
				$templateStyle = $templateStyleTest;
				$Month = 2592000 + time(); 
				setcookie("Style", $templateStyle, $Month);
			}
			
		if($templateStyle) {
			
			require(YOURBASEPATH."/styles/style".$templateStyle.".php");
			
		}else{
		
		$backgroundColor = $this->params->get("backgroundColor", "#000000");
		$mainFontSize = $this->params->get("mainFontSize", "16");
		$bodyText = $this->params->get("bodyText", "#333333");
		$linkColor = $this->params->get("linkColor", "#58B436");
		$logoColor1 = $this->params->get("logoColor1", "#333333");
		$contentBg = $this->params->get("contentBg", "#FFFFFF");
		$menuAnimationEffect = $this->params->get("menuEffect", "slideDown('fast')");	
		$topMenuText = $this->params->get("topMenuText", "#333333");
		$topMenuHoverText = $this->params->get("topMenuHoverText", "#58B436");
		$topMenuSubText = $this->params->get("topMenuSubText", "#333333");
		$topMenuSubHoverText = $this->params->get("topMenuSubHoverText", "#58B436");
		$mainMenuText = $this->params->get("mainMenuText", "#969696");
		$mainMenuHoverText = $this->params->get("mainMenuHoverText", "#333333");
		$mainMenuTextActive = $this->params->get("mainMenuTextActive", "#58B436");
		$componentHeadingText = $this->params->get("componentHeadingText", "#333333");
		$headingText = $this->params->get("headingText", "#58B436");
		$headingHoverText = $this->params->get("headingHoverText", "#58B436");
		$modulesFontSize = $this->params->get("modulesFontSize", "16");
		$featuredModuleHeading = $this->params->get("featuredModuleHeading", "#333333");
		$featuredModuleBg = $this->params->get("featuredModuleBg", "#F1F9EA");
		$featuredModuleText = $this->params->get("featuredModuleText", "#333333");
		$columnHeading = $this->params->get("columnHeading", "#58B436");
		$columnText = $this->params->get("columnText", "#333333");	
		$advert14ModulesHeading = $this->params->get("advert14ModulesHeading", "#58B436");
		$advert14ModulesText = $this->params->get("advert14ModulesText", "#333333");
		$user58ModulesHeading = $this->params->get("user58ModulesHeading", "#58B436");
		$user58ModulesText = $this->params->get("user58ModulesText", "#333333");
		$user912ModulesHeading = $this->params->get("user912ModulesHeading", "#58B436");
		$user912ModulesText = $this->params->get("user912ModulesText", "#333333");
		$user1316ModulesHeading = $this->params->get("user1316ModulesHeading", "#FFFFFF");
		$user1316ModulesText = $this->params->get("user1316ModulesText", "#BBBBBB");
		$user1316ModulesBackground = $this->params->get("user1316ModulesBackground", "#3F2323");
		$footer14ModulesHeading = $this->params->get("footer14ModulesHeading", "#333333");
		$footer14ModulesText = $this->params->get("footer14ModulesText", "#333333");
		$copyrightText = $this->params->get("copyrightText", "#FFFFFF");
		$copyrightBg = $this->params->get("copyrightBg", "#58B436");
		$copyrightLink = $this->params->get("copyrightLink", "#B7D49D");
		$panelBg = $this->params->get("panelBg", "#000000");
		$panelHeadings = $this->params->get("panelHeadings", "#FFFFFF");
		$panelBorder = $this->params->get("panelBorder", "#000000");
		$panelText = $this->params->get("panelText", "#FFFFFF");
		$panelLinks = $this->params->get("panelLinks", "#DDAC6B");
		
		}
	
?>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link href='//fonts.googleapis.com/css?family=PT+Sans+Narrow:400,700&amp;subset=latin,cyrillic' rel='stylesheet' type='text/css' />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/joomla.css" type="text/css" />
<link rel="stylesheet" href="<?php echo $template_path ?>/css/template_css.css" type="text/css" />
<?php if ($textDirection=="rtl") { ?>
<link rel="stylesheet" href="<?php echo $template_path ?>/css/rtl.css" type="text/css" />	
<?php } ?>
<style type="text/css">
<!--
<?php require(dirname(__FILE__).DIRECTORY_SEPARATOR.'/css/template_css.php'); ?>
-->
</style>

<?php JHtml::_('bootstrap.framework', true); ?>

<!-- top menu -->
<script type="text/javascript">
function mainmenu(){
jQuery("#nav ul").css({display: "none"}); // Opera Fix
jQuery("#nav li").hover(function(){
		jQuery(this).find('ul:first').css({visibility: "visible",display: "none"}).<?php echo $menuAnimationEffect; ?>;
		},function(){jQuery(this).find('ul:first').css({visibility: "hidden"});	});}
jQuery(document).ready(function(){ mainmenu();});
</script>

<!-- featured module background -->
<script type="text/javascript">
jQuery(document).ready(function(){
	jQuery('div.module_padding').has('div.moduletable_featured').addClass('featured_bg');
});
</script>

<?php if ($panelmodules) { ?>
<!-- top panel -->
<script type="text/javascript" src="<?php echo $template_path ?>/js/toppanel.js"></script>
<?php } ?>

<?php if($imageReflectionLoad) { ?>
<!-- reflection -->
<script type="text/javascript" src="<?php echo $template_path ?>/js/reflection.js"></script>
<?php } ?>

<?php if($scrollToLoad) { ?>
<!-- scrollTo -->
<script type="text/javascript" src="<?php echo $template_path ?>/js/scroll_to_top.js"></script>
<?php } ?>

<script type="text/javascript" src="<?php echo $template_path ?>/js/responsive-nav.min.js"></script>
</head>
<body>
<?php if ($panelmodules) { ?>
<div id="top-panel">
    <div class="topPanelModules">
        <?php if($showpanel[1]) { ?>
        <div class="module_padding <?php if (!$showpanel[2] && !$showpanel[3] && !$showpanel[4]) { echo "last"; } ?>">
            <div class="modulerow">
                <jdoc:include type="modules" name="panel1" style="xhtml" />
            </div>
            <div class="clr"></div>
        </div>
        <?php } if($showpanel[2]) { ?>
        <div class="module_padding <?php if (!$showpanel[3] && !$showpanel[4]) { echo "last"; } ?>">
            <div class="modulerow">
                <jdoc:include type="modules" name="panel2" style="xhtml" />
            </div>
            <div class="clr"></div>
        </div>
        <?php } if($showpanel[3]) { ?>
        <div class="module_padding <?php if (!$showpanel[4]) { echo "last"; } ?>">
            <div class="modulerow">
                <jdoc:include type="modules" name="panel3" style="xhtml" />
            </div>
            <div class="clr"></div>
        </div>
        <?php } if($showpanel[4]) { ?>
        <div class="module_padding last">
            <div class="modulerow">
                <jdoc:include type="modules" name="panel4" style="xhtml" />
            </div>
            <div class="clr"></div>
        </div>
        <?php } ?>
        <div class="clr"></div>
    </div>
</div>
<div id="sub-panel"><a href="#" id="toggle"><span id="shText">Open</span></a></div>
<?php } ?>
<div class="main_container">
    <div class="header">
        <div class="logo">
            <div class="logo_pad">
                <jdoc:include type="modules" name="logo" />
            </div>
        </div>
        <div class="header_menu">
            <jdoc:include type="modules" name="user4" />
        </div>
    </div>
    <?php if ($showuser3) { ?>
    <div id="topmenu">
        <div id="topmenu_pad">
        	<nav class="container_topmenu">
            	<jdoc:include type="modules" name="user3" />
            </nav>
        </div>
    </div>
    <div class="register">
        <div class="register_pad">
            <jdoc:include type="modules" name="register" />
        </div>
    </div>
    <div class="clr"></div>
    <?php } ?>
    <?php if ($showuser1) { ?>
    <div class="gallery">
        <jdoc:include type="modules" name="user1" style="xhtml" />
    </div>
    <div class="clr"></div>
    <?php } ?>
    <?php if ($uppermodules) { ?>
    <div class="upper">
        <?php if($showadvert[1]) { ?>
        <div class="module_padding <?php if (!$showadvert[2] && !$showadvert[3] && !$showadvert[4]) { echo "last"; } ?>">
            <div class="modulerow">
                <div id="c5">
                    <jdoc:include type="modules" name="advert1" style="hot" />
                </div>
            </div>
            <div class="clr"></div>
        </div>
        <?php } if($showadvert[2]) { ?>
        <div class="module_padding <?php if (!$showadvert[3] && !$showadvert[4]) { echo "last"; } ?>">
            <div class="modulerow">
                <div id="c6">
                    <jdoc:include type="modules" name="advert2" style="hot" />
                </div>
            </div>
            <div class="clr"></div>
        </div>
        <?php } if($showadvert[3]) { ?>
        <div class="module_padding <?php if (!$showadvert[4]) { echo "last"; } ?>">
            <div class="modulerow">
                <div id="c7">
                    <jdoc:include type="modules" name="advert3" style="hot" />
                </div>
            </div>
            <div class="clr"></div>
        </div>
        <?php } if($showadvert[4]) { ?>
        <div class="module_padding last">
            <div class="modulerow">
                <div id="c8" class="last">
                    <jdoc:include type="modules" name="advert4" style="hot" />
                </div>
            </div>
            <div class="clr"></div>
        </div>
        <?php } ?>
        <div class="clr"></div>
    </div>
    <?php } ?>
    <div class="main_area">
        <?php 
        if($columnLayout=="mlr") {
            require(dirname(__FILE__).DIRECTORY_SEPARATOR.'/inc/col_main.php');
            require(dirname(__FILE__).DIRECTORY_SEPARATOR.'/inc/col_left.php');
            require(dirname(__FILE__).DIRECTORY_SEPARATOR.'/inc/col_right.php'); 
        } else if($columnLayout=="lrm") {
            require(dirname(__FILE__).DIRECTORY_SEPARATOR.'/inc/col_left.php');
            require(dirname(__FILE__).DIRECTORY_SEPARATOR.'/inc/col_right.php');
            require(dirname(__FILE__).DIRECTORY_SEPARATOR.'/inc/col_main.php'); 
        } else {
            require(dirname(__FILE__).DIRECTORY_SEPARATOR.'/inc/col_left.php');
            require(dirname(__FILE__).DIRECTORY_SEPARATOR.'/inc/col_main.php');
            require(dirname(__FILE__).DIRECTORY_SEPARATOR.'/inc/col_right.php'); 
        }
        ?>
        <div class="clr"></div>
    </div>
    <?php if ($bottommodules) { ?>
    <div class="bottom">
        <?php if($showuser[5]) { ?>
        <div class="module_padding <?php if (!$showuser[6] && !$showuser[7] && !$showuser[8]) { echo "last"; } ?>">
            <div class="modulerow">
                <div id="c1">
                    <jdoc:include type="modules" name="user5" style="xhtml" />
                </div>
            </div>
            <div class="clr"></div>
        </div>
        <?php } if($showuser[6]) { ?>
        <div class="module_padding <?php if (!$showuser[7] && !$showuser[8]) { echo "last"; } ?>">
            <div class="modulerow">
                <div id="c2">
                    <jdoc:include type="modules" name="user6" style="xhtml" />
                </div>
            </div>
            <div class="clr"></div>
        </div>
        <?php } if($showuser[7]) { ?>
        <div class="module_padding <?php if (!$showuser[8]) { echo "last"; } ?>">
            <div class="modulerow">
                <div id="c3">
                    <jdoc:include type="modules" name="user7" style="xhtml" />
                </div>
            </div>
            <div class="clr"></div>
        </div>
        <?php } if($showuser[8]) { ?>
        <div class="module_padding last">
            <div class="modulerow">
                <div id="c4" class="last">
                    <jdoc:include type="modules" name="user8" style="xhtml" />
                </div>
            </div>
            <div class="clr"></div>
        </div>
        <?php } ?>
        <div class="clr"></div>
    </div>
    <?php } ?>
    <?php if ($footer1modules) { ?>
    <div class="footer_wrap">
        <div class="footer">
            <?php if($showuser[9]) { ?>
            <div class="module_padding <?php if (!$showuser[10] && !$showuser[11] && !$showuser[12]) { echo "last"; } ?>">
                <jdoc:include type="modules" name="user9" style="xhtml" />
                <div class="clr"></div>
            </div>
            <?php } if($showuser[10]) { ?>
            <div class="module_padding <?php if (!$showuser[11] && !$showuser[12]) { echo "last"; } ?>">
                <jdoc:include type="modules" name="user10" style="xhtml" />
                <div class="clr"></div>
            </div>
            <?php } if($showuser[11]) { ?>
            <div class="module_padding <?php if (!$showuser[12]) { echo "last"; } ?>">
                <jdoc:include type="modules" name="user11" style="xhtml" />
                <div class="clr"></div>
            </div>
            <?php } if($showuser[12]) { ?>
            <div class="module_padding last">
                <jdoc:include type="modules" name="user12" style="xhtml" />
                <div class="clr"></div>
            </div>
            <?php } ?>
            <div class="clr"></div>
        </div>
    </div>
    <?php } ?>
    <?php if ($footer2modules) { ?>
    <div class="footer_wrap2">
        <div class="footer2">
            <?php if($showuser[13]) { ?>
            <div class="module_padding <?php if (!$showuser[14] && !$showuser[15] && !$showuser[16]) { echo "last"; } ?>">
                <jdoc:include type="modules" name="user13" style="xhtml" />
                <div class="clr"></div>
            </div>
            <?php } if($showuser[14]) { ?>
            <div class="module_padding <?php if (!$showuser[15] && !$showuser[16]) { echo "last"; } ?>">
                <jdoc:include type="modules" name="user14" style="xhtml" />
                <div class="clr"></div>
            </div>
            <?php } if($showuser[15]) { ?>
            <div class="module_padding <?php if (!$showuser[16]) { echo "last"; } ?>">
                <jdoc:include type="modules" name="user15" style="xhtml" />
                <div class="clr"></div>
            </div>
            <?php } if($showuser[16]) { ?>
            <div class="module_padding last">
                <jdoc:include type="modules" name="user16" style="xhtml" />
                <div class="clr"></div>
            </div>
            <?php } ?>
            <div class="clr"></div>
        </div>
    </div>
    <?php } ?>
    <?php if ($footer3modules) { ?>
    <div class="footer_wrap3">
        <div class="footer3">
            <?php if($showfooter[1]) { ?>
            <div class="module_padding <?php if (!$showfooter[2] && !$showfooter[3] && !$showfooter[4]) { echo "last"; } ?>">
                <jdoc:include type="modules" name="footer1" style="hot" />
                <div class="clr"></div>
            </div>
            <?php } if($showfooter[2]) { ?>
            <div class="module_padding <?php if (!$showfooter[3] && !$showfooter[4]) { echo "last"; } ?>">
                <jdoc:include type="modules" name="footer2" style="hot" />
                <div class="clr"></div>
            </div>
            <?php } if($showfooter[3]) { ?>
            <div class="module_padding <?php if (!$showfooter[4]) { echo "last"; } ?>">
                <jdoc:include type="modules" name="footer3" style="hot" />
                <div class="clr"></div>
            </div>
            <?php } if($showfooter[4]) { ?>
            <div class="module_padding last">
                <jdoc:include type="modules" name="footer4" style="hot" />
                <div class="clr"></div>
            </div>
            <?php } ?>
            <div class="clr"></div>
        </div>
    </div>
    <?php } ?>
    <div class="footer_wrap4">
        <div class="footer4">
            <div class="footer_copyright1">
            	<div class="footer_copyright1_pad">
            		<p class="copyright">Copyright &copy; <?php echo date("Y ").$copyright; ?>. Template by Joomla Templates.</p>
                	<jdoc:include type="modules" name="footer" />
                </div>
            </div>
            <div class="footer_copyright2">
            	<div class="footer_copyright2_pad">
                	<jdoc:include type="modules" name="bottom" style="none" />
                </div>
            </div>
            <div class="clr"></div>
        </div>
    </div>
</div>
<jdoc:include type="modules" name="debug" style="none" />
<?php if($scrollToLoad) { ?>
<p id="back-top">
    <a href="#top"><span></span></a>
</p>
<?php } ?>
<script>
var navigation = responsiveNav(".container_topmenu");
</script>
</body>
</html>