<?php
/*------------------------------------------------------------------------
# "Hot Zoomer" Joomla module
# Copyright (C) 2011 HotTHemes. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotJoomlaTemplates.com
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/
defined('_JEXEC') or die('Restricted access'); // no direct access

// get the document object
$doc = JFactory::getDocument();

// load jQuery/jQueryUI
JHtml::_('jquery.framework');

// load scripts
$doc->addScript($mosConfig_live_site.'/modules/mod_hot_joomla_zoomer/js/jquery-ui.min.js');
$doc->addScript($mosConfig_live_site.'/modules/mod_hot_joomla_zoomer/js/jquery.zoomer.js');

// add your stylesheet
$doc->addStyleSheet($mosConfig_live_site.'/modules/mod_hot_joomla_zoomer/tmpl/style.css' );

$UID = 'hjtzoomer'.$module->id;
$viewWidth2 = $viewWidth - 80;

// style declaration
$doc->addStyleDeclaration( '

#'.$UID.' {
	border: '.$moduleBorderWidth.'px Solid #'.str_replace("#","",$moduleBorderColor).';
}

#'.$UID.' .hjtzoomer_container {
	position: relative;
}

#'.$UID.' .hjtzoomer_nav {
	background:url('.$mosConfig_live_site.'/modules/mod_hot_joomla_zoomer/images/navbar.png) 0 0 repeat-x;
	width:'.$viewWidth.'px;
}

#'.$UID.' .hjtzoomer_nav .navNext {
	background:url('.$mosConfig_live_site.'/modules/mod_hot_joomla_zoomer/images/arrow_right.png);
}

#'.$UID.' .hjtzoomer_nav .navPrev {
	background:url('.$mosConfig_live_site.'/modules/mod_hot_joomla_zoomer/images/arrow_left.png);
}


#'.$UID.' .navTitle div {
	color:#'.str_replace("#","",$TitleTextColor).';
}

#'.$UID.' .navTitle {
	width:'.$viewWidth2.'px;
}
');
?>

<script type="text/javascript">
	jQuery(document).ready(function(){
	    if(!jQuery.hjt || !jQuery.hjt.hjtzoomer)
	    {
			alert('Hot Joomla Zoomer - WARNING! Module could not start. Causes: \n\nPosibility 1:  Multiple jQuery references on the page. Module can not start because its definition is overwriten by other jQuery refernce.\n\nPosibility 2: URL <?php echo $mosConfig_live_site.'/modules/mod_hot_joomla_zoomer/js/jquery.hjtzoomer.js';?> is bad or not accessible.');
	    } else {
		    jQuery("#<?php echo $UID; ?> .hjtzoomer_container").hjtzoomer({
	            fadeTransition: <?php echo $FadeTranstion; ?>,
	            data: <?php echo $slidesSetup; ?>,
	            navPanel: '#<?php echo $UID; ?> .hjtzoomer_nav',
	            width: <?php echo $viewWidth; ?>,
	            height: <?php echo $viewHeight; ?>,
	            use_stop_resume: true,
	            title_animation: '<?php echo $TitleAnimation; ?>', //fade|slide|show
	            title_animation_speed: <?php echo $TitleAnimationSpeed; ?>
	        });
		}
	});
</script>
    
<div id="<?php echo $UID; ?>" class="hjtzoomer_wrapper">    
	<div class="hjtzoomer_container" style="width:<?php echo $viewWidth; ?>px; height:<?php echo $viewHeight; ?>px;border:<?php echo $viewBorderWidth; ?>px Solid #<?php echo str_replace("#","",$viewBorderColor); ?>;">
	</div>
	<div class="hjtzoomer_nav" style="<?php if($enableTitleBar != 1) echo 'display:none;'; else echo ''; ?>">
	</div>
</div>