<?php
/*------------------------------------------------------------------------
# "Hot Scroller" Joomla module
# Copyright (C) 2010 HotThemes. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotJoomlaTemplates.com
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/

defined('_JEXEC') or die('Restricted access'); // no direct access

// get the document object
$doc = JFactory::getDocument();

// load jQuery
JHtml::_('jquery.framework');

// load scripts
$doc->addScript($mosConfig_live_site.'/modules/mod_hot_scroller/js/jscroller-0.4.js');

// add your stylesheet
$doc->addStyleSheet( 'modules/mod_hot_scroller/tmpl/hot_scroller.css' );

// style declaration
$doc->addStyleDeclaration( '

#highlights {
	height:'.$moduleHeight.'px;
}

.highlights_intro {
	height:'.$moduleHeight.'px;
	line-height:'.$moduleHeight.'px;
	width:'.$introTextWidth.'px;
	font-size:'.$introTextFont.'px;
	float:'.$introTextPosition.';
	border-'.$introTextPosition2.':1px dotted #000;
	overflow:hidden;
}

#highlights_scroll div {
	height:'.$moduleHeight.'px;
	color:'.$textColor.';
	line-height:'.$moduleHeight.'px;
	font-size:'.$fontSize.'px;
}

#highlights_scroll .contentheading a,
#highlights_scroll .contentheading {
	color:'.$headingColor.';
	font-size:'.$fontSize.'px;
}

#highlights_scroll .small {
	color:'.$dateColor.';
	font-size:'.$fontSize.'px;
}

#highlights_scroll a.readon {
	color:'.$readonColor.';
	font-size:'.$fontSize.'px;
}

' );

?>
<script type="text/javascript">
	jQuery(document).ready(function(){
	
	// Add Scroller Object
	$jScroller.add("#highlights","#highlights_scroll","<?php echo $scrollDirection; ?>",<?php echo $scrollSpeed; ?>,true);
	
	// Start Autoscroller
	$jScroller.start();
	});
</script>

<div class="hotscroller">
<?php if($introTextDisplay == "Yes") { ?>
<div class="highlights_intro">
    <div class="highlights_intro_pad">
        <?php echo $introText; ?>
    </div>
</div>
<?php } ?>
<div id="highlights">
<div id="highlights_scroll">
  
<?php
if ($where == 'content' || $catid) {
	foreach ($html2out as $key => $value) {
		echo $value.'&nbsp;&nbsp;&nbsp;|&nbsp;&nbsp;&nbsp;';
	}
}
else {
	echo "Please enter content source in the module parameters (Joomla backend > Extensions > Module Manager > HOT Scroller). You can select category or enter articles IDs. If you'd like to enter articles IDs, please keep category field unselected.";
}
?>
  
</div>    
</div>
</div>
<div class="clr"></div>