﻿/*------------------------------------------------------------------------
# "Hot Zoomer" Joomla module
# Copyright (C) 2011 HotThemes. All Rights Reserved.
# License: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
# Author: HotJoomlaTemplates.com
# Website: http://www.hotjoomlatemplates.com
-------------------------------------------------------------------------*/
/* data model: [
                {
                  src:"",
                  item_duration:8000,
                  animation_duration:4000,
                  animationEasing: 'swing',
                  from:[0,0,1],
                  to:[1,1,1],
                  title:"",
                  link:"",
                  width:null,
                  height:null
                },
                ... 
              ]
*/

if ( !jQuery.curCSS ) 
 	 jQuery.curCSS = jQuery.css;

(function (jQuery, undefined) {
    jQuery.widget("hjt.hjtzoomer", {
        options: {
            fadeTransition: 2000,
            data: [],
            navPanel: null,
            width: null,
            height: null,
            use_stop_resume: true,
            title_animation: 'slide', //fade|slide|show
            title_animation_speed: 600
        },
        current: null,
        after: null,
        afterTimeout: null,
        slideshow: true,
        isSingle: true,
        slidedir: 'left',
		Items:null,
        _create: function () {
            var self = this,
			    options = self.options;
           
		    self.Items = new Array();
			
            if (self.options.navPanel) {
                var cmdPrev = jQuery("<div class='navPrev'></div>");
                jQuery(self.options.navPanel).append(cmdPrev);
                jQuery(self.options.navPanel).append(jQuery("<div class='navTitle'></div>"));
                var cmdNext = jQuery("<div class='navNext'></div>");
                jQuery(self.options.navPanel).append(cmdNext);

                cmdPrev.click(function () {
                    self.prev();
                });

                cmdNext.click(function () {
                    self.next();
                });

                if (self.options.use_stop_resume) {
                    var cmdStop = jQuery("<div class='navStop'></div>");
                    var cmdResume = jQuery("<div class='navResume'></div>");

                    cmdStop.click(function () {
                        self.stop();
                    });

                    cmdResume.click(function () {
                        self.start();
                    });

                }
            }
            var index = 0;
			
            for (index = 0; index < this.options.data.length; index++ ) {
                if (index > 0) self.isSingle = false;
				
				        this.options.data[index].item_duration = parseInt( this.options.data[index].item_duration);
                        this.options.data[index].animation_duration = parseInt( this.options.data[index].animation_duration);
						
                        this.options.data[index].from[0] = parseFloat(this.options.data[index].from[0]);
						this.options.data[index].from[1] = parseFloat(this.options.data[index].from[1]);
						this.options.data[index].from[2] = parseFloat(this.options.data[index].from[2]);
						
                        this.options.data[index].to[0] = parseFloat(this.options.data[index].to[0]);
						this.options.data[index].to[1] = parseFloat(this.options.data[index].to[1]);
						this.options.data[index].to[2] = parseFloat(this.options.data[index].to[2]);
						
						
                        this.options.data[index].width = parseInt(this.options.data[index].width);
                        this.options.data[index].height = parseInt(this.options.data[index].height);


                var item = jQuery("<img id='hjtzoomer_img" + String(index) + "' alt='" + this.options.data[index].title + "' src='" + this.options.data[index].src + "' style='width:" + String(this.options.data[index].width) + "px;height:" + String(this.options.data[index].height) + "px;' />");
                item.attr("iindex", index);
                if (self.options.navPanel) {
                    
					
					var t = "";
					if(self.options.data[index].link){
					  t = jQuery("<div><a href= '" + self.options.data[index].link + "'>" + self.options.data[index].title + "</a></div>");
					}else {
					  t = jQuery("<div>" + self.options.data[index].title + "</div>");
					}
					
					
                    jQuery(jQuery(self.options.navPanel).find('.navTitle')[0]).append(t);
                   
                }

                jQuery(self.element).append(item);
                
                self.Items[index] = this.options.data[index];
                item.css({ opacity: 0 });   
                
            }


            jQuery(document).ready(function () {

                if (self.options.width) jQuery(self.element).innerWidth(self.options.width);
                if (self.options.height) jQuery(self.element).innerHeight(self.options.height);

                jQuery(self.element).children().each(function (ind) {
                    var idata = self.Items[ind];



                    if (idata.width == 'auto' || !idata.width)
                        idata.width = jQuery(this).innerWidth();

                    if (idata.height == 'auto' || !idata.height)
                        idata.height = jQuery(this).innerHeight();

                    if (!idata.item_duration)
                        idata.item_duration = 8000;

                    if (!idata.animation_duration || idata.animation_duration > idata.item_duration) {
                        idata.animation_duration = idata.item_duration;
                    }

                    if ((jQuery.ui && (idata.animationEasing != 'linear' && idata.animationEasing != 'swing')) || (!idata.animationEasing)) {
                        idata.animationEasing = 'linear';
                    }
                    
					var imgRat = idata.width/idata.height;
					var RatIsH = true;
					if(idata.width < idata.height) RatIsH  = false;
					
					
					
					var s_w = Math.round(jQuery(self.element).innerWidth() * idata.from[2]);
					var s_h = Math.round(jQuery(self.element).innerHeight() * idata.from[2]);
					
					if(RatIsH){
					   s_w = Math.round(s_h * imgRat);
					}else{
					   s_h = Math.round(s_w / imgRat);
					}
					
					
					var s_l = -Math.round((s_w - jQuery(self.element).innerWidth()) * idata.from[0]);
					var s_t = -Math.round((s_h - jQuery(self.element).innerHeight()) * idata.from[1]);
					
					
					var e_w = Math.round(jQuery(self.element).innerWidth() * idata.to[2]);
					var e_h = Math.round(jQuery(self.element).innerHeight() * idata.to[2]);
					
					if(RatIsH){
					   e_w = Math.round(e_h * imgRat);
					}else{
					   e_h = Math.round(e_w / imgRat);
					}
					
					var e_l = -Math.round((e_w - jQuery(self.element).innerWidth()) * idata.to[0]);
					var e_t = -Math.round((e_h - jQuery(self.element).innerHeight()) * idata.to[1]);
					

                    idata.start = {
                        left: String(s_l) + 'px',
                        top:  String(s_t) + 'px',
                        width: String(s_w) + 'px'
                        , height: String(s_h) + 'px'
                    };

                    idata.end = {
                        left:  String(e_l) + 'px',
                        top:  String(e_t) + 'px',
                        width: String(e_w) + 'px'
                        , height: String(e_h) + 'px'
                    };



                    idata.fadeOverlap = -(idata.item_duration - self.options.fadeTransition / 2 - idata.animation_duration);
                    idata.fadeOverlapRat = Math.abs(idata.fadeOverlap) / idata.animation_duration;
                    idata.fadeInRat = self.options.fadeTransition / idata.animation_duration;

                });
                self.start();
            });

        },
        showItem: function (Item) {
            var self = this;
            var IIndex = Item.attr('iindex');
            if (self.afterTimeout) window.clearTimeout(self.afterTimeout);
            self.current = Item;
            self.after = null;
            if (self.slideshow && !self.isSingle) {
                self.after = self.current.next();
                if (!self.after[0]) self.after = self.current.parent().children().first();
            } else self.after = null;



            Item.css(self.Items[IIndex].start);
            self.Items[IIndex].fading = false;
            Item.animate(self.Items[IIndex].end, {
                duration: self.Items[IIndex].animation_duration,
                easing: self.Items[IIndex].animationEasing,
                step: function (now, fx) {
				    var state = fx.state;
				    if(!state) 
					  state = fx.pos;
				
                    if (state <= self.Items[IIndex].fadeInRat) {
                        jQuery(fx.elem).css({ opacity: (state / self.Items[IIndex].fadeInRat) });
                    }
                    if (self.Items[IIndex].fadeOverlap > 0 && !self.isSingle && self.slideshow) {
                        if (state >= (1 - self.Items[IIndex].fadeOverlapRat) && !self.Items[IIndex].fading) {
                            self.Items[IIndex].fading = true;
                        } else if (self.Items[IIndex].fading) {
                            jQuery(fx.elem).css({ opacity: ((1 - state) / self.Items[IIndex].fadeOverlapRat) });
                        }
                    }
                },
                complete: function () {
                    if (!self.isSingle && self.slideshow) {
                        if (self.Items[IIndex].fadeOverlap > 0) {
                            jQuery(this).fadeTo(self.options.fadeTransition - self.Items[IIndex].fadeOverlap, 0);
                        }
                        else {
                            jQuery(this).delay(-self.Items[IIndex].fadeOverlap).fadeTo(self.options.fadeTransition, 0);
                        }
                    }
                }
            });


            if (self.after != null) {
                self.afterTimeout = window.setTimeout(function () {
                    self.showItem(self.after);
                }, self.Items[IIndex].item_duration - self.options.fadeTransition);
            }

            if (self.options.navPanel) {
                jQuery(self.options.navPanel + ' .navTitle DIV:visible').hide();
                var TVisible = jQuery(jQuery(self.options.navPanel + ' .navTitle DIV')[IIndex]);

                if (self.options.title_animation == 'fade') {
                    TVisible.fadeIn(self.options.title_animation_speed);
                }
                else if (self.options.title_animation == 'slide') {
                    TVisible.show('slide', self.slidedir, self.options.title_animation_speed);
                }
                else if (self.options.title_animation == 'show') {
                    TVisible.show();
                }
            }

        },
        start: function () {
            var self = this;
            self.slidedir = 'left';
            self.slideshow = true;
            if (self.afterTimeout) window.clearTimeout(self.afterTimeout);
            if (self.current && self.current.next()) {
                self.showItem(self.current.next());
            } else {
                self.showItem(self.element.children().first());
            }

        },
        stop: function () {
            var self = this;
            self.slidedir = 'left';
            self.slideshow = false;
            if (self.afterTimeout) window.clearTimeout(self.afterTimeout);
            self.current.stop(true, false);

        },
        prev: function () {
            var self = this;
            self.slidedir = 'right';
            self.slideshow = false;
            var Prev = self.current.prev();
            if (!Prev[0]) Prev = self.current.parent().children().last();
            self.current.stop(true, false);
            self.current.fadeTo(self.options.fadeTransition / 2, 0);
            if (self.afterTimeout) window.clearTimeout(self.afterTimeout);
            self.showItem(Prev);

        },
        next: function () {
            var self = this;
            self.slidedir = 'left';
            self.slideshow = false;
            var Next = self.current.next();
            if (!Next[0]) Next = self.current.parent().children().first();
            self.current.stop(true, false);
            self.current.fadeTo(self.options.fadeTransition / 2, 0);
            if (self.afterTimeout) window.clearTimeout(self.afterTimeout);
            self.showItem(Next);

        },
        _setOption: function (key, value) {
            this.options[key] = value;
        },
        destroy: function () {
            jQuery(this.element).html(this._baseHTML);
            jQuery.Widget.prototype.destroy.call(this);
        }
    }); // widget
})(jQuery);